## net.sourceforge.pmd
Class Report

    java.lang.Object
      net.sourceforge.pmd.Report

public class Report
extends java.lang.Object

Nested Class Summary
`static class` `Report.ProcessingError`
`static class` `Report.ReadableDuration`
`static class` `Report.SuppressedViolation`

Constructor Summary
`Report()`

Method Summary
`void` `addError(Report.ProcessingError error)`
`void` `addListener(ReportListener listener)`
`void` `addMetric(Metric metric)`
`void` `addRuleViolation(IRuleViolation violation)`
`void` `end()`
`java.util.Iterator` `errors()`
`void` `exclude(java.util.Set lines)`
`java.util.Map` `getCountSummary()`
`long` `getElapsedTimeInMillis()`
`java.util.Map` `getSummary()`
`java.util.List` `getSuppressedRuleViolations()`
`ReportTree` `getViolationTree()`
`boolean` `hasMetrics()`
`boolean` `isEmpty()`
`java.util.Iterator` `iterator()`
`java.util.Iterator` `metrics()`
`int` `size()`
`void` `start()`
`boolean` `treeIsEmpty()`
`java.util.Iterator` `treeIterator()`
`int` `treeSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Report

    public Report()

Method Detail

### exclude

    public void exclude(java.util.Set lines)

### getCountSummary

    public java.util.Map getCountSummary()

### getViolationTree

    public ReportTree getViolationTree()

### getSummary

    public java.util.Map getSummary()

  Returns:
    a Map summarizing the Report: String (rule name) ->Integer (count of violations)

### addListener

    public void addListener(ReportListener listener)

### getSuppressedRuleViolations

    public java.util.List getSuppressedRuleViolations()

### addRuleViolation

    public void addRuleViolation(IRuleViolation violation)

### addMetric

    public void addMetric(Metric metric)

### addError

    public void addError(Report.ProcessingError error)

### hasMetrics

    public boolean hasMetrics()

### metrics

    public java.util.Iterator metrics()

### isEmpty

    public boolean isEmpty()

### treeIsEmpty

    public boolean treeIsEmpty()

### treeIterator

    public java.util.Iterator treeIterator()

### iterator

    public java.util.Iterator iterator()

### errors

    public java.util.Iterator errors()

### treeSize

    public int treeSize()

### size

    public int size()

### start

    public void start()

### end

    public void end()

### getElapsedTimeInMillis

    public long getElapsedTimeInMillis()

Copyright © 2002-2006 InfoEther. All Rights Reserved.